Skip to main content
GET
/
api
/
v1
/
skills
/
List Dataset Skills
curl --request GET \
  --url https://api.cognee.ai/api/v1/skills/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "description": "",
    "maintainer": "",
    "maintainer_url": "",
    "version": "",
    "tags": [
      "<string>"
    ],
    "license": "",
    "declared_tools": [
      "<string>"
    ],
    "dataset_scope": [
      "<string>"
    ],
    "is_active": true,
    "source_repo_url": "",
    "source_dir": ""
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

dataset_id
string<uuid>
required

Dataset UUID to scope the skills to. List your datasets via GET /api/v1/datasets to find it.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

include_inactive
boolean
default:false

Include skills whose is_active flag is false.

limit
integer
default:200

Max skills to return.

Required range: 1 <= x <= 1000
offset
integer
default:0

Number of skills to skip.

Required range: x >= 0

Response

Successful Response

id
string
required

Stable skill identifier.

name
string
required

Skill name.

description
string
default:""

Short summary for routing.

maintainer
string
default:""

Publishing company / team that maintains the skill.

maintainer_url
string
default:""

Maintainer homepage or repo URL.

version
string
default:""

Skill version string.

tags
string[]

Free-form category tags.

license
string
default:""

License identifier.

declared_tools
string[]

Tools the skill is allowed to use.

dataset_scope
string[]

Dataset UUIDs this skill is scoped to.

is_active
boolean
default:true

Whether the skill is active for routing.

source_repo_url
string
default:""

Source repository URL, when known.

source_dir
string
default:""

On-disk source directory.